aboutsummaryrefslogtreecommitdiffstats
path: root/community/py-zmq/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/py-zmq/APKBUILD')
-rw-r--r--community/py-zmq/APKBUILD10
1 files changed, 5 insertions, 5 deletions
diff --git a/community/py-zmq/APKBUILD b/community/py-zmq/APKBUILD
index 4cbcf2cdf3..da85480aba 100644
--- a/community/py-zmq/APKBUILD
+++ b/community/py-zmq/APKBUILD
@@ -13,13 +13,12 @@ makedepends="python2-dev python3-dev py-setuptools zeromq-dev"
install=""
subpackages="py3-${pkgname/py-/}:_py3 py2-${pkgname/py-/}:_py2"
source="https://files.pythonhosted.org/packages/source/p/$_pkgname/$_pkgname-$pkgver.tar.gz"
-
-builddir="$srcdir"/$_pkgname-$pkgver
+builddir="$srcdir/$_pkgname-$pkgver"
build() {
cd "$builddir"
python2 setup.py build || return 1
- python3 setup.py build || return 1
+ python3 setup.py build || return 1
}
package() {
@@ -30,14 +29,15 @@ _py() {
local python=$1
pkgdesc="$pkgdesc - $python"
arch="all"
- install_if="$pkgname=$pkgver-r$pkgrel $python"
+ install_if="$pkgname=$pkgver-r$pkgrel $python"
+
cd "$builddir"
$python setup.py install --prefix=/usr --root="$subpkgdir"
}
_py2() {
- _py python2
replaces="$pkgname"
+ _py python2
}
_py3() {